C$Procedure  STINT2 ( Integer arrays intersections )

      SUBROUTINE STINT2 ( A, NA, B, NB, NC )

C$ Abstract
C
C     Generate output integer array (of NC elements) as
C     intersection of input integer arrays A (of NA elements)
C     and B (of NB elements) sorted by increasing
C
C$ Copyright
C
C     Copyright (1999), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Required_Reading
C
C     None
C
C$ Keywords
C
C     TBD
C
C$ Declarations

      INTEGER         NA
      INTEGER         NB
      INTEGER         NC
      INTEGER         A (*)
      INTEGER         B (*)

C$ Brief_I/O
C
C     VARIABLE  I/O  DESCRIPTION
C     --------  ---  --------------------------------------------------
C     A         I/O  The first of two input arrays. Output result
C                    - intersection of the two arrays overwrites
C                    A array
C     NA         I   The number of elements in the first input
C                    array
C     B          I   The second of two input arrays
C     NB         I   The number of elements in the second input
C                    array
C     NC         O   The number of elements in the output array
C
C$ Detailed_Input
C
C     A              is double precision value to be examined to
C                    determine the number of decimal digits after
C                    decimal point
C
C$ Detailed_Output
C
C
C
C$ Parameters
C
C      None.
C
C$ Files
C
C     None.
C
C$ Exceptions
C
C     Error free
C
C$ Particulars
C
C     None
C
C$ Restrictions
C
C     None.
C
C$ Literature_References
C
C     None.
C
C$ Author_and_Institution
C
C     V.N. Kheifets   ( JPL )
C
C$ Version
C
C-    SPICELIB Version 1.0.0, 1-DECEMBER-1999 (VNK)
C
C-&

C$ Index_Entries
C
C     TBD
C
C-&

C
C     Local variables
C
      INTEGER         IA
      INTEGER         IB

C
C     Initialize indexes
C
      IA = 1
      IB = 1
      NC = 0

C
C     Start the main cycle
C
      DO WHILE ( IA .GT. 0 )

         IF ( A(IA) .GT. B(IB) )THEN

C
C            Increase B index until current B element exceeds
C            current A element
C
             IB = IB + 1
             IF ( IB .GT. NB ) THEN
                RETURN
             END IF

         ELSE IF ( A(IA) .LT. B(IB) ) THEN

C
C            Increase A index until current A element exceeds
C            current B element
C
             IA = IA + 1
             IF ( IA .GT. NA ) RETURN

         ELSE

C
C            Write "common" element to the output file and
C            increment indexes
C
             NC = NC + 1
             A(NC) = A(IA)
             IA = IA + 1
             IB = IB + 1

         END IF

      END DO

      RETURN

      END
